com.smartgwt.client.widgets.grid.events

## Interface HasRecordDoubleClickHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    CalendarView, CubeGrid, DateGrid, EditTree, ListGrid, ListPalette, Menu, MenuPalette, RecordEditor, SelectionTreeMenu, TableView, TreeGrid, TreePalette

      public interface HasRecordDoubleClickHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addRecordDoubleClickHandler(RecordDoubleClickHandler handler)` Executed when the listGrid receives a 'doubleClick' event on an enabled, non-separator record.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addRecordDoubleClickHandler

          com.google.gwt.event.shared.HandlerRegistration addRecordDoubleClickHandler(RecordDoubleClickHandler handler)

      Executed when the listGrid receives a 'doubleClick' event on an enabled, non-separator record. The default implementation does nothing -- override to perform some action when any record or field is double clicked.
      A record event handler can be specified either as a function to execute, or as a string of script to evaluate. If the handler is defined as a string of script, all the parameters below will be available as variables for use in the script.
      To do something specific if a particular field is double clicked, add a recordDoubleClick method or string of script to that field (same parameters) when you're setting up the list.
      Notes:
      - This will not be called if the click is below the last item of the list.
      - This method is called from the default implementation of `ListGrid.rowDoubleClick()`, so if that method is overridden this method may not be fired.
      Parameters:
        `handler` - the recordDoubleClick handler
      Returns:
        `HandlerRegistration` used to remove this handler